import 'package:flutter/material.dart';
import 'package:hub/shared/components/molecules/menu/index.dart';

class MenuItemFactory {
  static MenuEntry createMenuItem(
    MenuItem type, {
    Key? key,
    required Function() action,
    required String title,
    required IconData icon,
  }) {
    return MenuEntry.create(type, key: key, action: action, title: title, icon: icon);
  }

  MenuEntry buildMenuItem(
    MenuItem type, {
    Key? key,
    required Function() action,
    required String title,
    required IconData icon,
  }) {
    return createMenuItem(type, key: key, action: action, title: title, icon: icon);
  }
}
